---
type: api
title: Get connector types
description: You do not need any Kibana feature privileges to run this API.
url: https://www.elastic.co/docs/api/doc/kibana/v0/operation/operation-get-actions-connector-types
resource: https://www.elastic.co/docs/api/doc/kibana/v0/operation/operation-get-actions-connector-types
products:
  - Kibana
---

# Get connector types

Authentication: required

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/actions/connector_types`

## Description

You do not need any Kibana feature privileges to run this API.

## Query string parameters

- `feature_id` (string · max length: 100) — optional
  A filter to limit the retrieved connector types to those that support a specific feature (such as alerting or cases).

## Responses

#### `200`

Indicates a successful call.

`application/json`

Type: `object[]`

An array; each item has these fields:

- `allow_multiple_system_actions` (boolean)
  Indicates whether multiple instances of the same system action connector can be used in a single rule.
- `description` (string)
  Description of the connector type.
- `enabled` (boolean)
  Indicates whether the connector is enabled.
- `enabled_in_config` (boolean)
  Indicates whether the connector is enabled in the Kibana configuration.
- `enabled_in_license` (boolean)
  Indicates whether the connector is enabled through the license.
- `id` (string)
  The identifier for the connector.
- `is_deprecated` (boolean)
  Indicates whether the connector type is deprecated.
- `is_experimental` (boolean)
  Indicates whether the connector type is in technical preview.
- `is_system_action_type` (boolean)
  Indicates whether the action is a system action.
- `is_testable` (boolean)
  Indicates whether the connector type supports testing.
- `minimum_license_required` (enum)
  The minimum license required to enable the connector.
  Values: `basic`, `standard`, `gold`, `platinum`, `enterprise`, `trial`
- `name` (string)
  The name of the connector type.
- `source` (enum)
  The source of the connector type definition.
  Values: `yml`, `spec`, `stack`
- `sub_feature` (enum)
  Indicates the sub-feature type the connector is grouped under.
  Values: `endpointSecurity`
- `supported_feature_ids` (string[])
  The list of supported features
#### `403`

Indicates that this call is forbidden.

## Code examples

#### Console

```console
GET kbn:/api/actions/connector_types
```

#### curl

```curl
curl -X GET "${KIBANA_URL}/api/actions/connector_types" \
  -H "Authorization: ApiKey ${API_KEY}"
```

## Response examples

#### A list of connector types for the `generativeAI` feature.

`application/json`

```json
[
  {
    "id": ".gen-ai",
    "name": "OpenAI",
    "enabled": true,
    "enabled_in_config": true,
    "enabled_in_license": true,
    "minimum_license_required": "enterprise",
    "supported_feature_ids": [
      "generativeAIForSecurity",
      "generativeAIForObservability",
      "generativeAIForSearchPlayground"
    ],
    "is_system_action_type": false
  },
  {
    "id": ".bedrock",
    "name": "AWS Bedrock",
    "enabled": true,
    "enabled_in_config": true,
    "enabled_in_license": true,
    "minimum_license_required": "enterprise",
    "supported_feature_ids": [
      "generativeAIForSecurity",
      "generativeAIForObservability",
      "generativeAIForSearchPlayground"
    ],
    "is_system_action_type": false
  },
  {
    "id": ".gemini",
    "name": "Google Gemini",
    "enabled": true,
    "enabled_in_config": true,
    "enabled_in_license": true,
    "minimum_license_required": "enterprise",
    "supported_feature_ids": [
      "generativeAIForSecurity"
    ],
    "is_system_action_type": false
  }
]
```

